Subject: Re: bug#69236: 29.1; Unwanted Focus Shift when Clicking Menu Functions in Emacs Mode Line

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Feb 2024 22:16:13 +0200

> Date: Sun, 18 Feb 2024 21:03:28 +0100
> Cc: [email-masked]
> From: Gabriele Nicolardi <[email-masked]>
> 
> I think I found a workaround but not a fix. I need to create a modified version of the functions I call by the menu
> to avoid the problem.
> 
> I'm also aware that this may depend on the graphical server and/or the operating system.

Well, if it helps, the output of "C-h l" indicates that the
problematic behavior is because the spot where you click the mouse
invokes the mouse-1 binding instead of down-mouse-1 binding.  So you
should investigate what is different about mouse-click bindings in
that spot.